ignite-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Nikolay Izhikov <nizhi...@apache.org>
Subject Re: Maven. Issues with flatten plugin
Date Fri, 16 Mar 2018 12:48:28 GMT
Hello, guys.

We finally updated flatten plugin in master.

Petr Ivanov, Alex Volkov - thank you very much!

В Пт, 02/03/2018 в 16:45 +0300, Petr Ivanov пишет:
> Updated all maven definitions I’ve found in templates of test project.
> Please, try once more.
> 
> 
> 
> > On 2 Mar 2018, at 16:36, Nikolay Izhikov <nizhikov@apache.org> wrote:
> > 
> > Petr, thank you.
> > 
> > But seems it doesn't help 
> > 
> > "Failed to execute goal org.codehaus.mojo:flatten-maven-plugin:1.0.1:flatten (flatten)
on project ignite-tools: 
> > The plugin org.codehaus.mojo:flatten-maven-plugin:1.0.1 requires Maven version 3.2.5"
> > 
> > https://ci.ignite.apache.org/viewLog.html?buildId=1118290&buildTypeId=IgniteTests24Java8_IgniteActivateDeactivateCluster&tab=buildLog&_focus=189
> > 
> > В Пт, 02/03/2018 в 13:38 +0300, Petr Ivanov пишет:
> > > Made some changes — 3.3.9 is now default maven.
> > > Please, rerun failed tests.
> > > 
> > > 
> > > 
> > > > On 2 Mar 2018, at 13:21, Nikolay Izhikov <nizhikov@apache.org> wrote:
> > > > 
> > > > Hello, Petr.
> > > > 
> > > > I run TC for my PR [1] and have some issues on Team City:
> > > > 
> > > > "Failed to execute goal org.codehaus.mojo:flatten-maven-plugin:1.0.1:flatten
(flatten) on project ignite-tools: 
> > > > The plugin org.codehaus.mojo:flatten-maven-plugin:1.0.1 requires Maven
version 3.2.5"
> > > > 
> > > > Can we update maven to version 3.2.5 or higher on all Team city agents?
> > > > 
> > > > [1] https://github.com/apache/ignite/pull/3592
> > > > [2] https://ci.ignite.apache.org/viewLog.html?buildId=1117882&buildTypeId=IgniteTests24Java8_IgniteVisorConsoleScala&tab=buildLog&_focus=10143
> > > > 
> > > > В Пт, 02/03/2018 в 12:15 +0300, Nikolay Izhikov пишет:
> > > > > Sorry - IGNITE-7862 is the ticket.
> > > > > 
> > > > > 2 марта 2018 г. 12:14 PM пользователь "Nikolay
Izhikov" <nizhikov@apache.org> написал:
> > > > > > Dmitry.
> > > > > > I'm already done it.
> > > > > > Will return with PR and TC results soon
> > > > > > 
> > > > > > 2 марта 2018 г. 11:53 AM пользователь "Dmitry
Pavlov" <dpavlov.spb@gmail.com> написал:
> > > > > > > Hi Petr,
> > > > > > > 
> > > > > > > Thank you, it is great that you found the solution with
low impact.
> > > > > > > 
> > > > > > > Lets create ticket and merge PR.
> > > > > > > 
> > > > > > > пт, 2 мар. 2018 г. в 10:06, Petr Ivanov <mr.weider@gmail.com>:
> > > > > > > 
> > > > > > > > The problem is solved by updating flatten-maven-plugin
version to 1.0.1.
> > > > > > > > 
> > > > > > > > Nikolay, please, double check it.
> > > > > > > > If it really solves the problem, please, fill the
ticket (or point to
> > > > > > > > existing one), so I can update it and check impact
on release procedure.
> > > > > > > > 
> > > > > > > > 
> > > > > > > > 
> > > > > > > > > On 1 Mar 2018, at 17:04, Nikolay Izhikov <nizhikov@apache.org>
wrote:
> > > > > > > > > 
> > > > > > > > > Petr.
> > > > > > > > > 
> > > > > > > > > Thank you for trying!
> > > > > > > > > 
> > > > > > > > > Did you remove 'test' dependencies before running
commands?
> > > > > > > > > 
> > > > > > > > > Because I commit in master only correct pom.xml
for current build
> > > > > > > > 
> > > > > > > > process,
> > > > > > > > > of course.
> > > > > > > > > 
> > > > > > > > > But, to make things works I have to copy paste
transitive dependencies
> > > > > > > > 
> > > > > > > > from
> > > > > > > > > spark-core.
> > > > > > > > > 
> > > > > > > > > 1 марта 2018 г. 4:55 PM пользователь
"Petr Ivanov" <mr.weider@gmail.com>
> > > > > > > > > написал:
> > > > > > > > > 
> > > > > > > > > > 
> > > > > > > > > > > 
> > > > > > > > > > > I don't get what is the point.
> > > > > > > > > > > Did you try to reproduce issue?
> > > > > > > > > > > Or should I provide full traces to
you?
> > > > > > > > > > > 
> > > > > > > > > > 
> > > > > > > > > > My point in inability to fully understand
and describe the problem in
> > > > > > > > > > terms of mechanism which causes it.
> > > > > > > > > > For now I can see only indirect guessing.
> > > > > > > > > > 
> > > > > > > > > > 
> > > > > > > > > > And yes, I’ve run your commands and both
times (in spark module
> > > > > > > > 
> > > > > > > > directory
> > > > > > > > > > and in root) it produces the same result:
> > > > > > > > > > 
> > > > > > > > > > 1.
> > > > > > > > > > ignite (master) $ JAVA_HOME="$(/usr/libexec/java_home
-v 1.8)" mvn
> > > > > > > > > > install -U -Plgpl,examples,scala,-clean-libs,-release,ml
> > > > > > > > > > -Dtest=org.apache.ignite.testsuites.IgniteRDDTestSuite
> > > > > > > > > > -Dmaven.javadoc.skip=true -DfailIfNoTests=false
> > > > > > > > > > [INFO] Tests run: 9, Failures: 0, Errors:
0, Skipped: 0, Time elapsed:
> > > > > > > > > > 47.071 s - in org.apache.ignite.testsuites.IgniteRDDTestSuite
> > > > > > > > > > [WARNING] The requested profile "ml" could
not be activated because it
> > > > > > > > > > does not exist.
> > > > > > > > > > 
> > > > > > > > > > 2.
> > > > > > > > > > ignite/modules/spark (master) $ JAVA_HOME="$(/usr/libexec/java_home
-v
> > > > > > > > > > 1.8)" mvn install -U -Plgpl,examples,scala,-clean-libs,-release,ml
> > > > > > > > > > -Dtest=org.apache.ignite.testsuites.IgniteRDDTestSuite
> > > > > > > > > > -Dmaven.javadoc.skip=true -DfailIfNoTests=false
> > > > > > > > > > [INFO] Tests run: 9, Failures: 0, Errors:
0, Skipped: 0, Time elapsed:
> > > > > > > > > > 53.468 s - in org.apache.ignite.testsuites.IgniteRDDTestSuite
> > > > > > > > > > [WARNING] The requested profile "lgpl" could
not be activated because it
> > > > > > > > > > does not exist.
> > > > > > > > > > [WARNING] The requested profile "examples"
could not be activated
> > > > > > > > 
> > > > > > > > because
> > > > > > > > > > it does not exist.
> > > > > > > > > > [WARNING] The requested profile "scala"
could not be activated because
> > > > > > > > 
> > > > > > > > it
> > > > > > > > > > does not exist.
> > > > > > > > > > [WARNING] The requested profile "ml" could
not be activated because it
> > > > > > > > > > does not exist.
> 
> 
Mime
View raw message